#!/bin/bash

. /etc/os-release
OS=$ID
SCRIPTPATH="$( cd "$( dirname $(realpath $0) )" >/dev/null && pwd )"
TMPDIR="/tmp/performance"
DBHOST=`cat /etc/cpbx/apply_patches.conf | grep "hostname" | cut -d '=' -f 2 | xargs`
DBUSER=`cat /etc/cpbx/apply_patches.conf | grep "username" | cut -d '=' -f 2 | xargs`
DBPASSWORD=`cat /etc/cpbx/apply_patches.conf | grep "password" | cut -d '=' -f 2 | xargs`
INSTALLPATH="/usr/share/ombutel/www/performance"

# When using localhost, use root access
# because ombutel user does not have right to create new database.
if [ "$DBHOST" = "localhost" ] || [ "$DBHOST" = "127.0.0.1" ]
then
	DBHOST='localhost'
	DBUSER='root'
	DBPASSWORD=''
fi

mysqlcmd=""

if [ "$DBHOST" != "localhost" ]
then
	if [ "$DBPASSWORD" != "" ]
	then
		mysqlcmd="mysql -h $DBHOST -u $DBUSER -p$DBPASSWORD"
	else
		mysqlcmd="mysql -h $DBHOST -u $DBUSER"
	fi
else
	mysqlcmd="mysql -u root"
fi